MINI-BUILDD-DEBUG-BUILD(8)

NAME
mini-buildd-debug-build - Enter sbuild environment for given buildrequest changes file (manually debug failed builds).

DESCRIPTION
usage: mini-buildd-debug-build [-h] [--version] [-l LOG_LEVEL]

[-U DEDICATED_USER]
    [-s {chroot-setup,chroot-update-failed,build-deps-failed,starting-build,build-failed,finished-build,chroot-cleanup}] [-u USER] [-p EXTRA_PACKAGE] BUILDREQUEST

Enter sbuild environment for given buildrequest changes file (manually debug failed builds).

  positional arguments:

BUILDREQUEST
    Buildrequest changes file path

  options:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-l, --log-level LOG_LEVEL
    set log level (if none given, ['WARNING', 'mini_buildd.INFO'] is applied by default). May also be given as ``<logger>.<level>`` to effect individual loggers only, and multiple times (check existing logs for actual logger names). (default: None)

-U, --dedicated-user DEDICATED_USER
    Force a custom dedicated user name (to run as a different user than 'mini-buildd'). (default: mini-buildd)

-s, --sbuild-hook {chroot-setup,chroot-update-failed,build-deps-failed,starting-build,build-failed,finished-build,chroot-cleanup}
    Sbuild hook to drop for shell (see ``man sbuild``) (default: starting-build)

-u, --user USER
    User to use for post-build shell (default: mini-buildd)

-p, --extra-package EXTRA_PACKAGE
    Extra package to install (may be given multiple times) (default: [])